{% extends '../base.html'%}
{% block main %}
{% load static %}
<div class="main-container repair-container position-relative">
  {% include "../components/quick_access.html" %}
  <div class="container">
    <div class="row">
      <div class="col-12">
        <p class="text-center fs-1">Louer un drone</p>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <p class="text-center fs-4">Sur notre site, vous pouvez également louer un drone</p>
        <p>Sections : <a href="#demarche">La démarche</a> | <a href="#notes">Notes à lire</a> | <a href="#reviews">Avis de nos clients</a></p>
        <p class="text-center fs-4">Voici tout ce dont vous avez besoin</p>
        <section id="demarche">
          <h5 class="fw-bold fs-4 border-bottom pb-1">La démarche :</h5>
          <ol class="py-3">
            <li>Consultez la liste des drones disponibles à la location.</li><br>
            <li>Choisissez un drone.</li><br>
            <li>Faites une demande.</li><br>
            <li>Notre équipe vous contactera pour faire le point et fixer un rendez-vous.</li><br>
            <li>Rendez-vous chez notre agence pour continuer.</li><br>
            <li>Fournissez un chèque de caution équivalent au prix du drone ou reglez par liquide le montant équivalent au prix du drone.</li><br>
            <li>Réglez le montant de la location.</li><br>
            <li>À la fin de la location, revenez chez notre agence afin de rendre le drone et récupérer votre chèque de caution.</li><br>
            <li>Vous pouvez alors laisser un avis de votre experience.</li><br>
          </ol>
        </section>
        <section id="notes">
          <h5 class="fw-bold fs-4 border-bottom pb-1">Notes importantes :</h5>
          <ol class="py-3">
            <li>Le drone doit être retourné dans le même état initial.</li><br>
            <li>Tout dépassement du délai fixé aura des conséquences sur le chèque de caution.</li><br>
          </ol>
        </section>
        {% if not notes.count == 0 %}
          <h5 class="border-bottom ps-3 pt-1 fw-bold">Avis de nos clients :</h5>
          <section id="reviews">
            {% for note in notes %}
            <div class="note-card border rounded shadow" id="note-{{ note.id }}">
              <div class="note-card mb-2 border rounded-20-px  reviews shadow" id="note-{{ note.id }}">
                <div class="text-center border-bottom d-flex flex-column justify-content-center align-content-center">
                  <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
                    <i class="fa-solid fa-user fs-5"></i>
                    <span>{{ note.user }}</span>
                  </div>
                  {% if note.rent.article.title %}
                  <span class="text-secondary fs-12-px">
                    {{ note.rent.article.title }}
                  </span>
                  {% endif %}
                  <span class="text-secondary fs-12-px">
                    Il y a {{ note.created_at|timesince }}
                  </span>
                </div>
                <div class="note-card-body">
                  {{ note.get_note|linebreaks }}
                </div>
                <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="{{ note.stars }}" class="">
                  <i class="fa-regular fa-star"></i>
                  <i class="fa-regular fa-star"></i>
                  <i class="fa-regular fa-star"></i>
                  <i class="fa-regular fa-star"></i>
                  <i class="fa-regular fa-star"></i>
                </div>
              </div>
            </div>
            {% endfor %}
          </section>
            {% if notes.has_next %}
          <div class="d-flex justify-content-end">
            <!-- url 'all_note' gole -->
            <a href="{% url 'all_notes' 5 %}" class="normal-link w-fit my-3 d-flex justify-content-center align-items-center gap-2 px-2 py-1 rounded bg-dark text-white"><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i></a>
          </div>
          {% endif %}
        {% endif %}
        <div class="w-100 mt-4 d-flex flex-column gap-3  justify-content-center align-content-center">
          <div class="d-flex gap-3 justify-content-center align-content-center align-items-center">
            <input type="checkbox" name="conditions" id="conditions">
            <label for="conditions">j'ai pris connaissance de cette page</label>
          </div>
          <button onclick="window.close()" disabled="" id="okBtn" type="submit" class="normal-btn px-4 py-2 my-3 border shadow rounded bg-success text-white">
            <i class="fa-solid fa-check"></i>Revenir à la page précédente
          </button>

      </div>
      </div>
    </div>
  </div>
  <script src="{% static 'assets/js/script.js' %}">
  </script>
  <script>
    drawStars();
    handleRentConditions();
  </script>
</div>

{% endblock main%}
